Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface FormHandler

All Superinterfaces:
  java.util.EventListener

Deprecated. Use `FormPanel.SubmitCompleteHandler` and/or `FormPanel.SubmitHandler` instead

    @Deprecated
    public interface FormHandler

extends java.util.EventListener

Handler interface for form submit events.

Method Summary
`void` | `onSubmit(FormSubmitEvent event)` Deprecated. Use `FormPanel.SubmitHandler` instead
`void` | `onSubmitComplete(FormSubmitCompleteEvent event)` Deprecated. Use `FormPanel.SubmitCompleteHandler` instead

Method Detail

### onSubmit

    @Deprecated
    void onSubmit(FormSubmitEvent event)

  Deprecated. Use `FormPanel.SubmitHandler` instead

  Fired when the form is submitted.

  The FormPanel must not be detached (i.e. removed from its parent or otherwise disconnected from a `RootPanel`) until the submission is complete. Otherwise, notification of submission will fail.

  Parameters:
    `event` - an event object containing information about the form submission

### onSubmitComplete

    @Deprecated
    void onSubmitComplete(FormSubmitCompleteEvent event)

  Deprecated. Use `FormPanel.SubmitCompleteHandler` instead

  Fired when a form has been submitted successfully.

  Parameters:
    `event` - an event object containing information about the form submission

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD